Bug 16682 - 'rotate' command in logrotate.conf fails with extra space
'rotate' command in logrotate.conf fails with extra space
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Depends On:
  Show dependency treegraph
Reported: 2000-08-21 11:33 EDT by Adam Hupp
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-21 11:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Hupp 2000-08-21 11:33:39 EDT
I've been getting mail from cron that says:

error: /etc/logrotate.conf:6 bad rotation count '4 '

I noticed there was an extra space after the 4, so changing it to '4' (no space afterwards) fixed 
the problem.  This is from the logrotate-3.3.2-1 RPM.
Comment 1 Erik Troan 2000-08-22 11:54:03 EDT
Fixed in the logrotate in pinstripe and rawhide.

Note You need to log in before you can comment on or make changes to this bug.